package com.platform.yijia.service.impl;
import com.platform.yijia.dao.IntegralWaresMapper;
import com.platform.yijia.pojo.IntegralWares;
import com.platform.yijia.service.IntegralWaresService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("integralWaresService")
public class IntegralWaresServiceImpl implements IntegralWaresService {
    @Resource
    private IntegralWaresMapper integralWaresMapper;

    //获取商品详情信息
    @Override
    public IntegralWares getIntegralWaresInfo(IntegralWares integralWares) {
        return integralWaresMapper.getIntegralWaresInfo(integralWares);
    }

    //获取油站积分商品信息
    @Override
    public List<IntegralWares> getIntegralWaresInfoList(IntegralWares integralWares) {
        return integralWaresMapper.getIntegralWaresInfoList(integralWares);
    }

    //更新商品
    @Override
    public void updateIntegralWaresInfo(IntegralWares integralWares) {
        integralWaresMapper.updateIntegralWaresInfo(integralWares);
    }
}
